# Uses of Enum
org.eclipse.mat.internal.snapshot.inspections.DominatorQuery.Grouping

Packages that use DominatorQuery.Grouping
Package
Description
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.

## Uses of DominatorQuery.Grouping in org.eclipse.mat.internal.snapshot.inspections

Fields in org.eclipse.mat.internal.snapshot.inspections declared as DominatorQuery.Grouping
Modifier and Type
Field
Description
`DominatorQuery.Grouping`
DominatorQuery.`groupBy`
Methods in org.eclipse.mat.internal.snapshot.inspections that return DominatorQuery.Grouping
Modifier and Type
Method
Description
`DominatorQuery.Grouping`
DominatorQuery.Tree.`getGroupedBy()`
`static DominatorQuery.Grouping`
DominatorQuery.Grouping.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DominatorQuery.Grouping[]`
DominatorQuery.Grouping.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.eclipse.mat.internal.snapshot.inspections with parameters of type DominatorQuery.Grouping
Modifier
Constructor
Description
``
`Tree(ISnapshot snapshot, int[] roots, DominatorQuery.Grouping groupedBy)`